package com.adventurer_engine.network.server2client;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import com.adventurer_engine.client.hud.HUDEngine;
import com.adventurer_engine.network.RCsPacket;
import com.google.common.io.ByteArrayDataInput;
import com.google.common.io.ByteArrayDataOutput;
import cpw.mods.fml.relauncher.Side;
import java.io.IOException;
import uf;

public class PlayTitlePacket extends RCsPacket {
  private String title;
  
  public PlayTitlePacket() {}
  
  public PlayTitlePacket(String title) {
    this.title = title;
  }
  
  public void write(ByteArrayDataOutput out) throws IOException {
    out.writeUTF(this.title);
  }
  
  public void read(ByteArrayDataInput in) throws IOException {
    this.title = in.readUTF();
  }
  
  public void execute(uf player, Side side) throws RCsPacket.ProtocolException {
    if (side.isServer())
      return; 
    HUDEngine.HUD_playTitle.displayTitle(this.title);
  }
}
